#include <avr/io.h>

.global main

.comm lcd,16
.comm i,2

#include "tnarx.S"
#include "i2c.S"

main:
	rcall	i2c_init
	rcall	lcd_init
loop:
	ldi	xl,lo8(lcd)
	ldi	xh,hi8(lcd)
	ldi	r16,16
	clr	r17
cls:	st	x+,r17
	dec	r16
	brne	cls

	lds	r24,i
	lds	r25,i+1
	adiw	r24,1
	sts	i,r24
	sts	i+1,r25
	ldi	r22,lo8(lcd)
	ldi	r23,hi8(lcd)
	rcall	lword

	ldi	r24,lo8(lcd)
	ldi	r25,hi8(lcd)
	rcall	lcd_out
	rjmp	loop