#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <inttypes.h>

// #include "uart_m8.h"
#include "i2c.h"

#include "init.c"

extern void lword(uint16_t,uint8_t *ptr);
extern uint8_t Segmenttabelle[];

uint8_t lcd[16];

void lcd_init(void);
void lcd_out(uint8_t *ptr);

int main(void){
	uint8_t r=0;
	uint16_t i=0;
	init();
	for(;;){
		i2c_start();
		i2c_write(0x40);	/* mcp23017 wr */
		i2c_write(0x12);	/* Register */
		i2c_start();
		i2c_write(0x41);	/* mcp23017 rd */
		r=~i2c_read(1);		/* ohne ACK */
		i2c_stop();

		i2c_start();
		i2c_write(0x40);	/* mcp23017 wr */
		i2c_write(0x15);	/* OLATB */
		i2c_write(r);		/* inv Wert */
		i2c_stop();
		for(r=0;r<12;r++) lcd[r]=0;
		lword(i,lcd);
		i++;
		lcd_out(lcd);
	}
	return 0;
}
