/**
 * \brief initialisiert den UART
 * \param div Teilerfaktor
 */
void uart_init(uint16_t div);

/**
 * \brief sendet ein Zeichen über UART
 * \param ch zu sendendes Zeichen
 */
void uart_tx(uint8_t ch);

/**
 * \brief empfängt ein Zeichen vom UART
 * \return empfangenes Zeichen
 */
uint8_t uart_rx(void);